Loyality Documentation
  1. BootCamp (Cohort)
Loyality Documentation
  • Coaches
    • Resumes
      • Get all Resumes
      • Filter Resume By Status
      • Get Resume Details
      • Mark As Done
      • Drop A Review
      • Drop Updated Resume
    • Sessions
      • Get All My Sessions
      • View Specific Session
      • Raise A Concern
      • Mark As Complete
      • Ask For Reschdule
    • Mock A Coach
      POST
  • Users
    • Sessions
      • Create A Session (New)
      • Get All Sessions
      • Get A Session
      • Drop A Review
      • Book A Discovery Call
      • Reshedule Session
      • Close Session
      • Raise A Concern
      • One-On-One Coaching
    • Authentication
      • Registration
      • Login
      • Logout
      • Forget-Password
      • Resend Activation Link
      • View Profile
      • Update Account
      • Update Account As Coach
      • Activate Reset Password
      • Google Auth (Redirection Page)
      • Google Auth Callback
      • Change Password
      • Price Account Set Up
      • Schedule Account Setup
      • Turn On / Off Individual Session
    • Resumes
      • Submit A Resume
      • Get All Resumes
      • Get A Specific Resume
      • Make A Review
      • Raise A Concern
    • BootCamps
      • Register For BootCamp
    • Payments
      • Verify Payment Hook
  • Admin
    • Videos
      • Upload An Video
      • Get All Videos
      • Get Specific Videos
      • Delete Video
      • Update Video
    • Community
      • Get All Communities
      • Create A Community
      • Update Community
      • Delete Community
      • Get All Newsletters
    • Coaches
      • Get All Coaches
      • Coach Profile
      • Swtich Coaches Role
    • Sessions
      • Get All Sessions
      • Get Session Details
      • Mark As Complete
      • Setting Timeline On One-On-One
      • USD Session & Sends USD Notification
    • Authentication
      • Profile
      • Admin Login
    • Users
      • Get All Users
      • User Profile
    • Articles
      • Get All Articles
      • Get Article Details
      • Create A Article
      • Update Article
      • Delete Article
    • Testimonials
      • Get All Testimonials
      • Approve Or Disapprove Testimonails
      • Create A Testimonial
      • Get Specific Testimonial
    • BootCamp (Cohort)
      • Add Cohort
        POST
      • Get All Cohorts
        GET
      • Get All Specific Cohort
        GET
      • Get All Students
        GET
      • Delete Cohort
        DELETE
      • Update Cohort
        PUT
    • Resumes
      • Get All Resumes
      • Assign A Resume
      • Get Resume Details
    • Hero Videos
      • Get All Hero Videos
      • Upload Hero Video
      • Get A Specific Hero Video
      • Update Hero Video
      • Delete Hero Video
    • Events
      • Get All Events
      • Create Event
      • Update Event
      • Get Specfic Events
      • Delete Events
    • Get All Subscribers
      GET
  • Get All Coaches
    GET
  • Welcome Page
    GET
  • Activate Account
    GET
  • HealthCheck
    GET
  • Sign Up For NewsLetters
    POST
  • Get All Plans
    GET
  • List Of Banks
    GET
  • Account Verification
    POST
  • Get A Coach
    GET
  • Get all Testimonials
    GET
  • Get All BootCamps
    GET
  • Get All Articles
    GET
  • Get Specific Articles
    GET
  • Get A Specific Bootcamp
    GET
  • Get A Specific Video
    GET
  • Get All Videos
    GET
  • Get All Events
    GET
  • Get A Specific Event
    GET
  • Get All Hero Videos
    GET
  • Get All Communities
    GET
  • Get A Coach By Slug
    GET
  • Check Slug Availability
    GET
  1. BootCamp (Cohort)

Get All Specific Cohort

GET
/api/v1/admin/bootcamps/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v1/admin/bootcamps/678d15de557670024455ece0' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": {
        "message": "Request data successfully queried",
        "status": true,
        "bootcamp": {
            "id": "678d15de557670024455ece0",
            "title": "Cohort 1",
            "brochure": "https://res.cloudinary.com/dzljyt3y1/image/upload/v1737299401/hhmsxnveh7pkgv0s3hhb.pdf",
            "startDate": "2025-10-20",
            "isActive": true,
            "endDate": "2025-10-21",
            "facultyMembers": [
                {
                    "fullName": "Yahaya Abdullah Abu",
                    "linkedIn": "https://ng.linkedin.com/in/abdullah-yahaya-1212a7179",
                    "bio": "It is from here",
                    "roles": [
                        "Project Management",
                        "Time Management"
                    ],
                    "profile": "https://res.cloudinary.com/dzljyt3y1/image/upload/v1737299410/profiles/Yahaya_Abdullah_Abu.png"
                },
                {
                    "fullName": "Yahaya Abdullah Abu",
                    "linkedIn": "https://ng.linkedin.com/in/abdullah-yahaya-1212a7179",
                    "bio": "It is from here",
                    "roles": [
                        "Project Management",
                        "Time Management"
                    ],
                    "profile": "https://res.cloudinary.com/dzljyt3y1/image/upload/v1737299410/profiles/Yahaya_Abdullah_Abu.png"
                }
            ],
            "students": [],
            "createdAt": "2025-01-19T15:10:22.037Z",
            "updatedAt": "2025-01-19T15:10:22.037Z"
        }
    }
}
Modified at 2026-03-12 16:57:10
Previous
Get All Cohorts
Next
Get All Students
Built with